"{ Package: 'stx:libtool' }"

SyntaxElement subclass:#SyntaxElementVariable
	instanceVariableNames:'name assigned'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-CodeView-Syntax'
!

!SyntaxElementVariable class methodsFor:'documentation'!

documentation
"
 Replace 'SyntaxElement', 'NewClass1' and
 the empty string arguments by true values.

 Install (or change) the class by 'accepting',
 either via the menu or the keyboard (usually CMD-A).

 You can also change the category simply by editing
 the categoryString and accepting.

 To be nice to others (and yourself later), do not forget to
 add some documentation; preferably under the classes documentation
 protocol.
 (see the `create documentation stubs' item in the methodList menu;
  switch from instance to class to find this menu item.)

 Notice, that ST/X uses the convention to document the class using
 comment-only class methods (however, ST80 comments are supported and
 can be changed via the class-documentation menu).

"
! !

!SyntaxElementVariable methodsFor:'accessing'!

assigned
    ^ assigned
!

assigned:something
    assigned := something.
!

name
    ^ name
!

name:something
    name := something.
! !

!SyntaxElementVariable methodsFor:'queries'!

isClass
    ^ type == #class
!

isGlobal 
    ^ (type == #GlobalVariable) or:[ type == #class]
!

isInstanceVariable
    ^ (type == #InstanceVariable) 
!

isVariable
    ^ true
! !

!SyntaxElementVariable class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/SyntaxElementVariable.st,v 1.4 2013-06-24 17:09:21 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/SyntaxElementVariable.st,v 1.4 2013-06-24 17:09:21 cg Exp $'
! !

